#ifndef CALCULATOR_H
#define CALCULATOR_H

#include <stdbool.h>

// Konverzia infixového výrazu na postfixový
void infix_na_postfix(const char *infix, char *postfix);

// Vyhodnotenie postfixového výrazu
double vyhodnot_postfix(const char *postfix);

// Overenie, či je znak operátor
bool je_operator(char c);

// Určenie priority operátorov
int priorita(char op);

// Matematické operácie
double scitaj(double a, double b);
double odcitaj(double a, double b);
double nasob(double a, double b);
double del(double a, double b);

// Vedecké funkcie
double sinus(double x);
double cosinus(double x);
double odmocnina(double x);
double mocnina(double zaklad, double exponent);
double logaritmus(double x);

#endif // CALCULATOR_H
